# CesiumInspector

#### new Cesium.CesiumInspector(container, scene)
Widgets/CesiumInspector/CesiumInspector.js 34

  Inspector widget to aid in debugging

  Name | Type | Description
  --- | --- | ---
  `container` | Element | String | The DOM element or ID that will contain the widget.
  `scene` | Scene | The Scene instance to use.

  ##### Throws:

  - DeveloperError : container is required.
  - DeveloperError : scene is required.

  ##### Demo:

  - Cesium Sandcastle Cesium Inspector Demo

### Members

#### container : Element
Widgets/CesiumInspector/CesiumInspector.js 350

  Gets the parent container.

#### viewModel : CesiumInspectorViewModel
Widgets/CesiumInspector/CesiumInspector.js 362

  Gets the view model.

### Methods

#### destroy()
Widgets/CesiumInspector/CesiumInspector.js 380

  Destroys the widget. Should be called if permanently removing the widget from layout.

#### isDestroyed() → Boolean
Widgets/CesiumInspector/CesiumInspector.js 372

  ##### Returns:

  true if the object has been destroyed, false otherwise.